Subject: RE: (ngtrans) back to back

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Fri, 3 Nov 2000 12:26:53 +1100

> It wouldn't. It would believe that a v4 host was trying to reach it. Not
> really
> any different from today, when the client is NATted or using an HTTP
> proxy.
> It's because this is ugly that we went for the dual stack model in the
> first
> place, but it looks like we will have to deal with this case anyway, with
> 3rd generation mobiles.
> 
	=> You might also want to consider the SIIT-DSTM case (without 
	the ALG). Perhaps that would make a less ugly scenario, 
	due to the advantages of the distributed SIIT over NATs. 
	I won't list the advantages I'm sure you know them better 
	than me. 
	There is still the issue of handling the reachability of a V6
	host from a V4 host that needs to be addressed. 
	I've been told that this second option of DSTM will 
	resurface though ( in a more reliable manner) and I'm
	looking forward to it.